# Uses of Interface
javax.annotation.processing.ProcessingEnvironment

Packages that use ProcessingEnvironment
Package
Description
com.sun.source.util
Provides utilities for operations on abstract syntax trees (AST).
javax.annotation.processing
Facilities for declaring annotation processors and for allowing annotation processors to communicate with an annotation processing tool environment.

## Uses of ProcessingEnvironment in com.sun.source.util

Methods in com.sun.source.util with parameters of type ProcessingEnvironment
Modifier and Type
Method
Description
`static DocTrees`
DocTrees.`instance(ProcessingEnvironment env)`
Returns a DocTrees object for a given ProcessingEnvironment.
`static JavacTask`
JavacTask.`instance(ProcessingEnvironment processingEnvironment)`
Returns the `JavacTask` for a `ProcessingEnvironment`.
`static Trees`
Trees.`instance(ProcessingEnvironment env)`
Returns a `Trees` object for a given `ProcessingEnvironment`.

## Uses of ProcessingEnvironment in javax.annotation.processing

Fields in javax.annotation.processing declared as ProcessingEnvironment
Modifier and Type
Field
Description
`protected ProcessingEnvironment`
AbstractProcessor.`processingEnv`
Processing environment providing by the tool framework.
Methods in javax.annotation.processing with parameters of type ProcessingEnvironment
Modifier and Type
Method
Description
`void`
AbstractProcessor.`init(ProcessingEnvironment processingEnv)`
Initializes the processor with the processing environment by setting the `processingEnv` field to the value of the `processingEnv` argument.
`void`
Processor.`init(ProcessingEnvironment processingEnv)`
Initializes the processor with the processing environment.